The Perfect Server - CentOS 6.4 x86_64 (Apache2, Dovecot, ISPConfig 3) - Page 3

Discussion in 'Installation/Configuration' started by dragosl, Sep 28, 2013.

  1. dragosl

    dragosl New Member

    suPHP 0.7.2 released
    This release fixes a security issue that was introduced with the 0.7.0 release.

    I tried to install this version as per the tutorial steps and got the below:

    ./configure --prefix=/usr --sysconfdir=/etc --with-apr=/usr/bin/apr-1-config --with-apxs=/usr/sbin/apxs --with-apache-user=apache --with-setid-mode=owner --with-php=/usr/bin/php-cgi --with-logfile=/var/log/httpd/suphp_log --enable-SUPHP_USE_USERGROUP=yes
    configure: WARNING: unrecognized options: --with-php, --enable-SUPHP_USE_USERGROUP
    configure: error: cannot find install-sh, install.sh, or shtool in config "."/config

    Advice please?

    Regards,
    Dragos
     
  2. falko

    falko Super Moderator ISPConfig Developer

    Did you check
    Code:
    ./configure --help
    ?
     
  3. dragosl

    dragosl New Member

    Hi Falko,

    Sorry for not mentioning that I would have looked at the the available parameters but I didn't want to choose anything that would possibly affect the next installation and configuration steps as you provided a full syntax, not what would be necessary in terms of parameters/functionality needed.

    I hope you understand what I mean (and that includes not wasting your time).

    Thank you.

    Regards,
    Dragos
     
  4. till

    till Super Moderator Staff Member ISPConfig Developer

    Ok, so you had run:

    ./configure --help

    and it showed you that the following options:

    --with-php, --enable-SUPHP_USE_USERGROUP

    are supported by the suphp version that you tried to compile?

    Compile options of applications can change, if you want to compile a different version then the one mentioned in the guide, then you ight have to change the compile options to match the version that you like to install.
     
  5. lovendo

    lovendo New Member

    any news about how to configure suPHP for the new version?
     

Share This Page